Create a new appointment
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Team Meeting",
"start_time": "2025-12-01 10:00:00",
"end_time": "2025-12-01 11:00:00",
"contact_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "approved",
"notes": "<string>",
"custom_answers": {}
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/appointments"
payload = {
"schedule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Team Meeting",
"start_time": "2025-12-01 10:00:00",
"end_time": "2025-12-01 11:00:00",
"contact_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "approved",
"notes": "<string>",
"custom_answers": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schedule_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: 'Team Meeting',
start_time: '2025-12-01 10:00:00',
end_time: '2025-12-01 11:00:00',
contact_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
status: 'approved',
notes: '<string>',
custom_answers: {}
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Appointments
Create a new appointment
Creates an appointment on a schedule. Use this when booking a time slot directly through the API. Provide schedule_uuid, title, start_time, and end_time; optionally attach a contact, status, notes, and custom question answers.
POST
/
api
/
v1
/
appointments
Create a new appointment
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Example:
"Team Meeting"
Example:
"2025-12-01 10:00:00"
Example:
"2025-12-01 11:00:00"
Example:
"approved"
Response
201
Appointment created successfully
⌘I
